--kung
function GetRevision()
	return "r2"
end

function GetRevisionAndProductName()
    return  "In The Groove 3: OpenGroove - r2"
end

function GetProductName()
    return "In The Groove 3: OpenGroove"
end

function OkX()
	if not GAMESTATE:PlayerUsingBothSides() then return 0 end

	local Offset = 200
	if GAMESTATE:GetMasterPlayerNumber() == PLAYER_2 then Offset = Offset * -1 end
	return Offset;
end

function GetStepsDescriptionTextP1()
	local steps = GAMESTATE:GetCurrentSteps(PLAYER_1)
	if steps == nil then
		return ""
	elseif steps:GetDifficulty() == DIFFICULTY_EDIT then
		return steps:GetDescription()
	else
		return "Steps: " .. steps:GetDescription()
	end
end

function GetStepsDescriptionTextP2()
	local steps = GAMESTATE:GetCurrentSteps(PLAYER_2)
	if steps == nil then
		return ""
	elseif steps:GetDifficulty() == DIFFICULTY_EDIT then
		return steps:GetDescription()
	else
		return "Steps: " .. steps:GetDescription()
	end
end

function GetSongTitle()
	local song = GAMESTATE:GetCurrentSong()
	if not song then return "" end
	return
		song:GetDisplayFullTitle()
end

function GetSongArtist()
	local song = GAMESTATE:GetCurrentSong()
	if not song then return "" end
	return
		song:GetDisplayArtist()
end

function GetCourseTitle()
	local course = GAMESTATE:GetCurrentCourse()
	if not course then return "" end
	return
		course:GetDisplayFullTitle()
end

function GetGameplayProgressMeterWidth()
	return 418
end

--lightning
function SHUTUPSERIOUSLY()
	SOUND:DimMusic(0, 6)
end

function GetQuiet()

SOUND:DimMusic( 0.8, .1)
SOUND:DimMusic( 0.6, .1)
SOUND:DimMusic( 0.3, .1)
SOUND:DimMusic( 0.0, 6)

end

function profilesongs( pn )
return "Played Songs:\n" .. PROFILEMAN:GetProfile(pn):GetTotalNumSongsPlayed()

end
